> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tilt.pro/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Bulk Optimization Task

> Create optimized portfolio proposals for multiple clients in bulk.

This endpoint creates proposals asynchronously. Optimization errors (infeasible/unbounded problems)
will be handled during the async task execution and reflected in the proposal's status and failure_reason field.

Create tasks to optimize portfolio and generate proposals for multiple clients.


## OpenAPI

````yaml POST /api/v1/custom/org/{organization_uuid}/optimized_proposals/
openapi: 3.0.3
info:
  title: TILT
  version: 0.0.1
servers: []
security: []
paths:
  /api/v1/custom/org/{organization_uuid}/optimized_proposals/:
    post:
      tags:
        - api
      description: >-
        Create optimized portfolio proposals for multiple clients in bulk.


        This endpoint creates proposals asynchronously. Optimization errors
        (infeasible/unbounded problems)

        will be handled during the async task execution and reflected in the
        proposal's status and failure_reason field.
      operationId: api_v1_custom_org_optimized_proposals_create
      parameters:
        - in: path
          name: organization_uuid
          schema:
            type: string
            format: uuid
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateOptimizedPortfoliosRequest'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/CreateOptimizedPortfoliosRequest'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/CreateOptimizedPortfoliosRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateOptimizedPortfoliosResponse'
          description: ''
      security:
        - ProAPIToken: []
components:
  schemas:
    CreateOptimizedPortfoliosRequest:
      type: object
      properties:
        client_uuids:
          type: array
          items:
            type: string
      required:
        - client_uuids
    CreateOptimizedPortfoliosResponse:
      type: object
      properties:
        proposal_uuids:
          type: array
          items:
            type: string
      required:
        - proposal_uuids
  securitySchemes:
    ProAPIToken:
      type: apiKey
      in: header
      name: X-Api-Key

````